%global skip_checks_version 0.1.12
%global skip_checks concurrency-stress-test

%define major 0
%define api 0.1
%define libname %mklibname %name %{api} %{major}
%define develname %mklibname -d %{name} %{api}

%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:		babl
Version:	0.1.44
Release:	%mkrel 1
Summary:        Babl - dynamic, any to any, pixel format conversion library
Summary(de):	Babl - eine dynamische Pixelformat Umwandlungs Bibliothek
Group:		System/Libraries
License:	LGPLv3+
URL:		http://www.gegl.org/babl
Source0:        http://download.gimp.org/pub/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	librsvg

%description
Babl is a dynamic, any to any, pixel format conversion library.
It provides conversions between the myriad of buffer types images
can be stored in. Babl doesn't only help with existing pixel formats,
but also facilitates creation of new and uncommon ones.

GEGL uses babl both for enumeration of pixel formats as well as
conversions between them.

#german
%description -l de
Babl ist eine dynamische Pixelformat Umwandlungs Bibliothek, in jeder Richtung.
Es bietet Konvertierungen zwischen den unzähligen Bilddypen die gespeichert werden 
können. Babl hilft nicht nur, bei vorhandenen Pixel-Formaten, sondern erleichtert 
auch die Schaffung von neuen und ungewöhnlichen. 
GEGL verwendet babl sowohl für die Aufzählung von Pixel-Formaten sowie für die 
Konvertierungen zwischen ihnen.

%package -n     %{libname}
Summary:        A library for %name
Summary(de):	Bibliothek für %name
Group:          System/Libraries
Provides: 	%libname = %{version}-%{release}
Obsoletes:	%{_lib}babel14

%description -n %{libname}
Babl is a dynamic, any to any, pixel format conversion library.
It provides conversions between the myriad of buffer types images
can be stored in. Babl doesn't only help with existing pixel formats,
but also facilitates creation of new and uncommon ones.

GEGL uses babl both for enumeration of pixel formats as well as
conversions between them.

#german
%description -n %{libname} -l de
Babl ist eine dynamische Pixelformat Umwandlungs Bibliothek, in jeder Richtung.
Es bietet Konvertierungen zwischen den unzähligen Bilddypen die gespeichert werden 
können. Babl hilft nicht nur, bei vorhandenen Pixel-Formaten, sondern erleichtert 
auch die Schaffung von neuen und ungewöhnlichen. 
GEGL verwendet babl sowohl für die Aufzählung von Pixel-Formaten sowie für die 
Konvertierungen zwischen ihnen.

%package -n     %{develname}
Summary:        Header files for %name
Summary(de):	Entwicklerdateien für %name
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}babel14-devel
Obsoletes:	%{libname}-devel
Obsoletes:	%{_lib}%{name}-devel

%description -n %{develname}
Babl is a dynamic, any to any, pixel format conversion library.
It provides conversions between the myriad of buffer types images
can be stored in. Babl doesn't only help with existing pixel formats,
but also facilitates creation of new and uncommon ones.

GEGL uses babl both for enumeration of pixel formats as well as
conversions between them.

#german
%description -n %{develname} -l de
Babl ist eine dynamische Pixelformat Umwandlungs Bibliothek, in jeder Richtung.
Es bietet Konvertierungen zwischen den unzähligen Bilddypen die gespeichert werden 
können. Babl hilft nicht nur, bei vorhandenen Pixel-Formaten, sondern erleichtert 
auch die Schaffung von neuen und ungewöhnlichen. 
GEGL verwendet babl sowohl für die Aufzählung von Pixel-Formaten sowie für die 
Konvertierungen zwischen ihnen.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -fr %{buildroot} installed-docs
%makeinstall_std
cp -r docs installed-docs
cd installed-docs
rm -rf tools Makefile* *.in graphics/Makefile*
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -fr %buildroot
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files -n %{libname}
%defattr(-,root,root)
%doc README NEWS TODO AUTHORS
%{_libdir}/libbabl-%{api}.so.%{major}*
%dir %{_libdir}/babl-%{api}/
%{_libdir}/babl-%{api}/cairo.so
%{_libdir}/babl-%{api}/CIE.so
%{_libdir}/babl-%{api}/fast-float.so
%{_libdir}/babl-%{api}/float-half.so
%{_libdir}/babl-%{api}/float.so
%{_libdir}/babl-%{api}/gegl-fixups.so
%{_libdir}/babl-%{api}/gggl-lies.so
%{_libdir}/babl-%{api}/gggl.so
%{_libdir}/babl-%{api}/gggl-table-lies.so
%{_libdir}/babl-%{api}/gggl-table.so
%{_libdir}/babl-%{api}/gimp-8bit.so
%{_libdir}/babl-%{api}/grey.so
%{_libdir}/babl-%{api}/HSL.so
%{_libdir}/babl-%{api}/HSV.so
%{_libdir}/babl-%{api}/naive-CMYK.so
%{_libdir}/babl-%{api}/simple.so
%{_libdir}/babl-%{api}/sse2-float.so
%{_libdir}/babl-%{api}/sse2-int16.so
%{_libdir}/babl-%{api}/sse2-int8.so
%{_libdir}/babl-%{api}/sse4-int8.so
%{_libdir}/babl-%{api}/sse-half.so
%{_libdir}/babl-%{api}/two-table.so
%{_libdir}/babl-%{api}/ycbcr.so
%{_libdir}/babl-%{api}/16bit.so
%{_libdir}/babl-%{api}/HCY.so


%files -n %{develname}
%defattr(-,root,root)
%doc installed-docs/*
%{_libdir}/libbabl-%{api}.so
%{_libdir}/pkgconfig/babl.pc
%dir %{_includedir}/babl-%{api}/babl
%{_includedir}/babl-%{api}/babl/*


%changelog
* Sat Apr 07 2018 bb2 <bb2> - 0.1.44-1pclos2018
- new version

* Sat Feb 17 2018 bb2 <bb2> - 0.1.42-1pclos2018
- new version

* Tue May 23 2017 bb2 <bb2> - 0.1.26-1pclos2017
- new version
